Youtube Errors or Crashes Kodi completely.

  Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
aragorn Offline
Junior Member
Posts: 44
Joined: Dec 2008
Reputation: 2
Post: #1
As per my other (unresolved) thread i recently upgraded from v16 to v17 and from ubuntu 14 to 16.04.

After the upgrade youtube was working fine.

However this morning its not working at all. Sometimes its popping up an error, other times its completely crashing kodi.

I've created a debug log here:

http://paste.ubuntu.com/24156913/

In that log i tried to select a few menu options from within the youtube plugin (new search, settings and i think sign in) all producing the same error. I then tried to play a youtube video by sending it to kodi from my laptop.

Any ideas whats going on?! The log seems to contain errors talking about OpenSSL?
find quote
bdubu Offline
Junior Member
Posts: 17
Joined: Dec 2011
Reputation: 0
Location: Austin
Post: #2
The same is happening to me. I ran updates on my Mint 18.1 system yesterday and it automatically upgraded me from an older version of Kodi to 17 and now YouTube generates errors like you describe ("YouTube error. Check the log for more information"). In the log it references "InternalError: Unknown OpenSSL error". Plus, about half of my other plugins exhibit problems (usually crashing). One fairly easy thing to consider is to boot into a live CD, set up and install Kodi from the official PPA and see if it works then. If it does, it may indicate that a complete re-install is in order. Good luck. Wink
find quote
wsnipex Offline
Team-Kodi
Posts: 6,310
Joined: Jun 2011
Reputation: 162
Post: #3
pyopenssl in ubuntu is buggy: https://bugs.launchpad.net/ubuntu/+sourc...ug/1636573
find quote
aragorn Offline
Junior Member
Posts: 44
Joined: Dec 2008
Reputation: 2
Post: #4
yeh, i posted on the youtube addon thread as well and theres a link on there showing the fix, which is to upgrade the python-openssl libraries from a newer version of ubuntu which fixed it.
find quote